org.jbpm.process.workitem.transform

## Class TransformWorkItemHandler

- java.lang.Object
- - org.jbpm.process.workitem.AbstractLogOrThrowWorkItemHandler
  - - org.jbpm.process.workitem.transform.TransformWorkItemHandler

- All Implemented Interfaces:
    org.kie.api.runtime.process.WorkItemHandler

      public class TransformWorkItemHandler
      extends AbstractLogOrThrowWorkItemHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.workitem.AbstractLogOrThrowWorkItemHandler

      `logThrownException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformWorkItemHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortWorkItem(org.kie.api.runtime.process.WorkItem arg0, org.kie.api.runtime.process.WorkItemManager arg1)`
    `void` | `executeWorkItem(org.kie.api.runtime.process.WorkItem inputItem, org.kie.api.runtime.process.WorkItemManager itemMgr)`
    `void` | `registerTransformer(Class<?> transformer)`

    - ### Methods inherited from class org.jbpm.process.workitem.AbstractLogOrThrowWorkItemHandler

      `handleException, handleException, setLogThrownException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformWorkItemHandler

          public TransformWorkItemHandler()

  - ### Method Detail

    - #### executeWorkItem

          public void executeWorkItem(org.kie.api.runtime.process.WorkItem inputItem,
                                      org.kie.api.runtime.process.WorkItemManager itemMgr)

    - #### registerTransformer

          public void registerTransformer(Class<?> transformer)

    - #### abortWorkItem

          public void abortWorkItem(org.kie.api.runtime.process.WorkItem arg0,
                                    org.kie.api.runtime.process.WorkItemManager arg1)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.